Subject: [bess] Discussions on ARP sync by RT-2 in pure L3 EVPN usecases

From: <[email-masked]>
Date: Wed, 10 Apr 2019 17:15:43 +0800 (CST)

Hi all,

I have some questions about using RT-2 in pure L3 EVPN usecases.

I haven't find clear explanation in current EVPN RFCs or drafts on these usecases.

I need some help to check my understanding.

Can you help me to check whether this usecase is supported by current EVPN control-plane or not ?

The phrase "pure L3 EVPN usecases" means that there is no IRB or MAC-VRF.

   /---- PE1----\

CE1(ES1)        PE3----CE2

   \---- PE2----/

CE1 attaches to IP-VRF x via sub-interface a/b on PE1/PE2.

And I think we can use RT-2 to sync ARP entries between sub-interface a and b.

In order to do this, I configured ESI1 on the main-interface of a and b.

Then I let the EVPN control-plane advertise the ARP entries on a/b to all EVPN PEs using EVPN Route-type 2.

I think the format of such RT-2 routes can be the following:

1) the MPLS label1 field is null (may be implicit-null or explicit-null),because there is no MAC-VRF.

2) the MPLS label2 field is the label of IP-VRF x

3) the RD field is the RD of IP-VRF x

4) the ESI is ESI1, the ETI is 0 

5) the RTs is the export RTs of IP-VRF x 

I also think we can advertise the subnet of sub-interface a/b together with ESI1 in EVPN RT-5 route.

And I haven't find clear explanation about the detailed usage of EVPN RT-5 route with ESI field as active forwarding information. 

Is my understanding right? or Is there something important I have missed?

Best Regards

Bob